package cnv.hf.widgets;

import android.graphics.drawable.Drawable;

public class HFDrawableWidget {
    private short               Effect;           //ͼƬЧɫЧ
    private short               Render;           //ͼƬȾʽ
    private int                Color;            //ɫ
    private Drawable            bitmap = null;     		//ͼƬ
    private int				ColorFilter;		//͸ɫ
    private short				Width;				//ͼƬʵʿ
    private short				Height;			//ͼƬʵʸ߶
	public int getEffect() {
		return Effect;
	}
	public void setEffect(int effect) {
		Effect = (short) effect;
	}
	public int getRender() {
		return Render;
	}
	public void setRender(int render) {
		Render = (short) render;
	}
	public int getColor() {
		return Color;
	}
	public void setColor(int color) {
		Color = color;
	}
	public Drawable getBitmap() {
		return bitmap;
	}
	public void setBitmap(Drawable bitmap) {
		this.bitmap = bitmap;
	}
	public int getColorFilter() {
		return ColorFilter;
	}
	public void setColorFilter(int colorFilter) {
		ColorFilter = colorFilter;
	}
	public int getWidth() {
		return Width;
	}
	public void setWidth(int width) {
		Width = (short) width;
	}
	public int getHeight() {
		return Height;
	}
	public void setHeight(int height) {
		Height = (short) height;
	}
	public void setDrawable(HFDrawableWidget drawable) {
		if(drawable != null) {
			this.setBitmap(drawable.getBitmap()); 
			this.setColor(drawable.getColor());
			this.setColorFilter(drawable.getColorFilter());
			this.setEffect(drawable.getEffect());
			this.setHeight(drawable.getHeight());
			this.setWidth(drawable.getWidth());
			this.setRender(drawable.getRender());
		}
	}	
	//ؼͼƬɫЧ
	public class HFDrawableEffect {
		public static final int eDrawableEffect_Nothing  = 0x00; //Ч
		public static final int eDrawableEffect_Color    = 0x01; //ɫЧ
		public static final int eDrawableEffect_Bitmap   = 0x02; //ͼƬЧ
		public static final int eDrawableEffect_Both     = 0x03; //߶Ч
	} 
	//ͼƬ淽ʽ
	public class HFDrawableRender {
		public static final int eDrawableRender_Normal    = 0x00; //
		public static final int eDrawableRender_Mosaic    = 0x01; //ƽ
		public static final int eDrawableRender_Stretch   = 0x02; //

	}
}
