package cnv.hf.widgets;

import android.app.Activity;
import android.content.Context;
import android.widget.Toast;

public class HFToastMessage {
	
    private static Toast toast = null;  
      
    private static Object synObj = new Object();  
  
    public static void showMessage(final Context context, final String msg) {  
        showMessage(context, msg, Toast.LENGTH_SHORT);  
    }  
  
    public static void showMessage(final Context context, final String msg, final int duration) { 
    	Activity act = (Activity) context;
    	act.runOnUiThread(new Runnable() {
			@Override
			public void run() {
                synchronized (synObj) {  
                    if (toast != null) {  
                        toast.cancel();  
                        toast.setText(msg);  
                        toast.setDuration(duration);  
                    } else {  
                        toast = Toast.makeText(context, msg, duration); 
                    }  
                    toast.show();  
                }  
			}});
    }  
}
