package cnv.hf.widgets;

import hmi.packages.HPSysEnv;
import hmi.packages.HPWidgetEvent.HPWidgetEventArgument;
import android.app.Application;
import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.Rect;
import android.view.View;
import cnv.hf.widgets.HFModeActivity.HFOnMessageInterface;
import cnv.hf.widgets.HFWidgetStorage.HFLayerStorage;

public interface HFModeWidget {
	/*======================================================
	: װͼ
	:  
	
	ֵ: 
	======================================================*/
	public void loadLayerWidgets();
	
	/*======================================================
	: װͼؼ
	:  
	ֵ: 
	˵ıģʽеͼVisible֮øú
	======================================================*/
	public void inflate();	
	/*======================================================
	: ²
	:  
	
	ֵ: 
	======================================================*/
	public void reLayoutWidgets(int src_width,int src_height,int des_width,int des_height);
	/*======================================================
	: ͨӿؼIdȡӿؼ
	:  
			id  [in] ӿؼId
	
	ֵ: ӿؼ
	======================================================*/
	public HFBaseWidget findWidgetById(int id);
	/*======================================================
	: ͨӿؼƻȡӿؼ
	:  
			in_cWidgetName   [in] ӿؼ
	
	ֵ: ӿؼ
	======================================================*/
	public HFBaseWidget findWidgetByName(String widgetName);
	/*======================================================
	: ͨӿؼƻȡӿؼ
	:  
			in_cWidgetName   [in] ӿؼ
	
	ֵ: ӿؼ
	======================================================*/
	public HFBaseWidget findWidgetByObject(Object widget);
	/*======================================================
	: ͨͼȡͼ
	:  
			index   [in] ͼ
	
	ֵ: ͼ
	======================================================*/
	public HFLayerWidget getLayerByIndex(int index);
	/*======================================================
	: ͨͼIdȡͼ
	:  
			Id   [in] ͼId
	
	ֵ: ͼ
	======================================================*/
	public HFLayerWidget findLayerById(int layerId);
	/*======================================================
	: ͨͼƻȡͼ
	:  
			Id   [in] ͼId
	
	ֵ: ͼ
	======================================================*/
	public HFLayerWidget findLayerByName(String layerName);
	/*======================================================
	: һͼлһͼ
	:  
			fromLayer   [in] лͼ 
			toLayer     [in] Ҫлͼ
	
	ֵ: ͼ
	======================================================*/
	public void switchLayerWidget(String fromLayer, String toLayer);
	/*======================================================
	: һͼģʽϣʾ
	:  
			layerWidget   [in] Ҫӵͼ 

	ֵ: 
	======================================================*/
	public void addLayerWidget(HFLayerWidget layerWidget);
	
	/*======================================================
	: ɾһͼģʽ
	:  
			layerWidget   [in] Ҫɾͼ 

	ֵ: 
	======================================================*/
	public void removeLayerWidget(HFLayerWidget layerWidget);
	/*======================================================
	: һͼ±
	:  
			layerName  [in] ͼ

	ֵ: index
	======================================================*/
	public int getLayerWidgetIndex(String layerName);
	
	/*======================================================
	: һͼʾĵ±
	:  
			layerName  [in] ͼ

	ֵ: index
	======================================================*/
	public int getLayerWidgetIndexFromDisplay(String layerName);
	
	/*======================================================
	: һͼʾ
	:  
			layerName   [in] Ҫʾͼ 

	ֵ: 
	======================================================*/
	public void addLayerWidget2Display(HFLayerWidget layerWidget);
	
	/*======================================================
	: һͼʾ
	:  
			layerWidget   [in] Ҫʾͼ 
             index        [in] ±
	ֵ: 
	======================================================*/
	public void addLayerWidget2Display(HFLayerWidget layerWidget,int index);
	
	/*======================================================
	: һͼʾ
	:  
			layerName   [in] Ҫʾͼ 

	ֵ: 
	======================================================*/
	public void addLayerWidget2Display(String layerName);
	/*======================================================
	: һͼʾ
	:  
			layerIndex   [in] Ҫʾͼ 

	ֵ: 
	======================================================*/
	public void addLayerWidget2Display(int index);
	/*======================================================
	: ʾƳһʾ
	:  
			layerName   [in] Ҫʾͼ 

	ֵ: 
	======================================================*/
	public void removeLayerWidgetFromDisplay(String layerName);
	public void removeLayerWidgetFromDisplay(HFLayerWidget layerWidget);
	public String getName();
	/*=======================================================
	: ȡؼId
	: 
	ֵ: ؼId
	======================================================*/	
	public int getModeId();
	/*=======================================================
	: ÿؼId
	: id [in] ؼId
	ֵ: 
	======================================================*/
	public void setModeId(int id);
	public HPWidgetEventArgument getEventArgs();
	/*=======================================================
	: ȡؼλ
	: 
	ֵ:  ؼλ
	======================================================*/	
	public void getBound(HFWidgetBound bound);
	
	/*=======================================================
	: ͼ
	: λͼ
	ֵ:  
	======================================================*/	
	public Bitmap getScreenShot(Rect rect);
	/*=======================================================
	:
	    Ϣ
	:
	    in_Handle:Ϣľ
	    ulMsg:Ϣ
	    ulParams1:1
	    ulParams2:2
		
	ֵ:
	    != 0 ɹ---bool
	=======================================================*/
	public int sendMessage(Object in_Handle, int msgId, Object params1, Object params2);
	public int sendMessageDelayed(Object in_Handle, int msgId, Object params1, Object params2,long delayMillis);
	public void sendMessage(int what, Object obj);
	public void sendEmptyMessage(int what);
	public HFOnMessageInterface getOnMessageListener();
	public void setOnMessageListener(HFOnMessageInterface listener);
	public float getXScaleFactor();
	public float getYScaleFactor();
	/**
	* ȡģʽ־
	*
	* @param  
	* @param  
	* @return ģʽ־
	*/		
	public int getOrientation();
	
	/*======================================================
	: ͼݴͼ
	:	
			layerId  [in] ͼ
			
	ֵ: ͼ
	======================================================*/
	public HFLayerWidget createLayerWidgets(int layerId);
	
	/*======================================================
	: ͼݴͼ
	:	
	        modeLoader [in] ģʽ
			layerId  [in] ͼ
			
	ֵ: ͼ
	======================================================*/
	public HFLayerWidget createLayerWidgets(HFModeLoader modeLoader,int layerId);
	
	/*======================================================
	: ͼݴͼ
	:	
			layerId  [in] ͼ
			
	ֵ: ͼ
	======================================================*/
	public HFLayerWidget createLayerWidgets(int layerId, boolean closeModeLoader);
	/*======================================================
	: ͼݴͼ
	:	modeLoader [in] ģʽ
			layerData  [in] ͼ
	ֵ: ͼ
	======================================================*/
	public HFLayerWidget createLayerWidgets(HFModeLoader modeLoader, HFLayerStorage layerData) ;	
	/*=======================================================
	:
		Կؼ
	:
		bound [in] ԭʼ
		deltaXY [in] ƫ
	ֵ:
	˵:
		ʱֻ꣬ſؼĿ
	=======================================================*/	
	public void scaleCoords(HFWidgetBound bound,int fixedshape);
	/*======================================================
	: ȡģʽװ
	:  
	
	ֵ: ģʽװ
	======================================================*/
	public HFModeLoader getModeLoader();
	/*======================================================
	: رģʽװ
	:  
	
	ֵ: 
	======================================================*/
	public void closeModeLoader(HFModeLoader modeLoader);
	/*======================================================
	: ñѡеRadioButton
	:  in_pRadioButton   [in] ѡеRadioButton
	ֵ: =0:ɹ>0 
	======================================================*/
	public void setRadioButton(HFRadioButtonWidget radioButton);
	/*======================================================
	: ñѡеRadioButton
	:  in_pRadioButton   [in] ѡеRadioButton
	ֵ: =0:ɹ>0 
	======================================================*/
	public Context getContext();
	/**
	* ȡǰģʽĶ
	*
	* @param  
	* @param  
	* @return 
	*/		
	public int getPendingTransition();
	/*======================================================
	: صָģʽ
	:    in_pcModeName      [in]  ģʽ
	ֵ:  ģʽ
	˵: ģʽջѴڣ 򽫸ģʽ֮ϵģʽջ
	======================================================*/
	public HFModeFragment returnToFragment(String modeName, int pendingTransition);
	/*======================================================
	: صָģʽ
	:    in_pcModeName      [in]  ģʽ
	ֵ:  ģʽ
	˵: ģʽջѴڣ 򽫸ģʽ֮ϵģʽջ
	======================================================*/
	public HFModeFragment returnToFragment(String modeName, int pendingTransition, boolean isTag);
	/*======================================================
	: صָģʽ
	:    in_pcModeName      [in]  ģʽ
	ֵ:  ģʽ
	˵: ģʽջѴڣ 򽫸ģʽ֮ϵģʽջ
	======================================================*/
	public HFModeWidget returnFragment(HFModeWidget mode, int pendingTransition);

	/*======================================================
	: صָģʽ
	:    in_pcModeName      [in]  ģʽ
	ֵ:  ģʽ
	˵: ģʽջѴڣ 򽫸ģʽ֮ϵģʽջ
	======================================================*/
	public HFModeWidget returnFragment(HFModeWidget mode, int pendingTransition, boolean isTag);
	/*======================================================
	: ȡApplication
	:    
	ֵ:  Application
	======================================================*/
	public Application getApplication();
	/*======================================================
	: Activity
	:    
	ֵ:  
	======================================================*/
	public void finish();
	/*======================================================
	: ȡǰģʽ
	:    
	ֵ:  ǰģʽ
	======================================================*/
	public HFModeWidget getCurrentMode();
	/*======================================================
	: ȡ˵
	:    
	ֵ:  ˵
	======================================================*/
	public HFSlideMenu getSlideMenu();
	
	/*======================================================
	: жϵǰģʽǷmapViewؼ
	:    
	ֵ: truefalse:
	======================================================*/
	public boolean isModeContainMapView();
	
	/*======================================================
	: ȡͼActivity״̬
	ֵ: 
	======================================================*/
	public int getModeActivityState();
	
	/*======================================================
	: ȡȫֻ
	:    
	ֵ:  ȫֻ
	======================================================*/
	public HPSysEnv getSysEnv();
	
	/*======================================================
	: 
	:  
	
	ֵ: 
	======================================================*/
	public View getRootView();
	/*======================================================
	: 
	:Ļ  
	
	ֵ: 
	======================================================*/
	public void setScreenOrientation(int requestedOrientation);
	/*======================================================
	: ضջǷڸģʽ
	:    modeName      [in]  ģʽ
	ֵ:  Ƿ
	======================================================*/
	public boolean isExistFragment(String modeName);
}
